Bullet Collision Detection & Physics Library: btPairSet Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btPairSet Class Reference

A pairset array. More...

`#include <btGImpactBvh.h>`

Inheritance diagram for btPairSet:
[legend]
Collaboration diagram for btPairSet:
[legend]

## Public Member Functions
| btPairSet ()
void | push_pair (int index1, int index2)
void | push_pair_inv (int index1, int index2)
Public Member Functions inherited from btAlignedObjectArray< GIM_PAIR >
btAlignedObjectArray< GIM_PAIR > & | operator= (const btAlignedObjectArray< GIM_PAIR > &other)
| btAlignedObjectArray ()
| btAlignedObjectArray (const btAlignedObjectArray &otherArray)
| Generally it is best to avoid using the copy constructor of an btAlignedObjectArray, and use a (const) reference to the array instead.
| ~btAlignedObjectArray ()
int | size () const
| return the number of elements in the array
const GIM_PAIR & | at (int n) const
GIM_PAIR & | at (int n)
const GIM_PAIR & | operator[] (int n) const
GIM_PAIR & | operator[] (int n)
void | clear ()
| clear the array, deallocated memory. Generally it is better to use array.resize(0), to reduce performance overhead of run-time memory (de)allocations.
void | pop_back ()
void | resizeNoInitialize (int newsize)
| resize changes the number of elements in the array.
void | resize (int newsize, const GIM_PAIR &fillData=GIM_PAIR())
GIM_PAIR & | expandNonInitializing ()
GIM_PAIR & | expand (const GIM_PAIR &fillValue=GIM_PAIR())
void | push_back (const GIM_PAIR &_Val)
int | capacity () const
| return the pre-allocated (reserved) elements, this is at least as large as the total number of elements,see size() and reserve()
void | reserve (int _Count)
void | quickSortInternal (const L &CompareFunc, int lo, int hi)
void | quickSort (const L &CompareFunc)
void | downHeap (GIM_PAIR *pArr, int k, int n, const L &CompareFunc)
| heap sort from http://www.csse.monash.edu.au/~lloyd/tildeAlgDS/Sort/Heap/
void | swap (int index0, int index1)
void | heapSort (const L &CompareFunc)
int | findBinarySearch (const GIM_PAIR &key) const
| non-recursive binary search, assumes sorted array
int | findLinearSearch (const GIM_PAIR &key) const
int | findLinearSearch2 (const GIM_PAIR &key) const
void | removeAtIndex (int index)
void | remove (const GIM_PAIR &key)
void | initializeFromBuffer (void *buffer, int size, int capacity)
void | copyFromArray (const btAlignedObjectArray &otherArray)

## Additional Inherited Members
Protected Member Functions inherited from btAlignedObjectArray< GIM_PAIR >
int | allocSize (int size)
void | copy (int start, int end, GIM_PAIR *dest) const
void | init ()
void | destroy (int first, int last)
void * | allocate (int size)
void | deallocate ()

## Detailed Description

A pairset array.

Definition at line 34 of file btGImpactBvh.h.

## Constructor & Destructor Documentation

## ◆ btPairSet()

btPairSet::btPairSet | ( |  | ) |
| inline

Definition at line 37 of file btGImpactBvh.h.

## Member Function Documentation

## ◆ push_pair()

void btPairSet::push_pair | ( | int | index1,
|  | int | index2
| ) |  |
| inline

Definition at line 41 of file btGImpactBvh.h.

## ◆ push_pair_inv()

void btPairSet::push_pair_inv | ( | int | index1,
|  | int | index2
| ) |  |
| inline

Definition at line 46 of file btGImpactBvh.h.

The documentation for this class was generated from the following file:

- btGImpactBvh.h